Subject: Re: bug#36583: 26.1; emacs 26 tries loading original user's .emacs after su to root

From: Steinar Bang <[email-masked]>
Date: Tue, 23 Jul 2019 15:53:04 +0200

>>>>> Richard Stallman <[email-masked]>:

> I think I asked for this feature so that when I run Emacs as root I
> will get the commands I am accustomed to.

FWIW What broke things for me, was that it reads the .emacs file from
/home/sb directory, but it doesn't read /home/sb/.emacs.d/elpa/ and
therefore doesn't find the packages my .emacs refers to, so that startup
breaks in the middle of the setup and nothing works as expected.

If it had used my regular config fully, I never would have noticed.

The root user has a functional .emacs, but a much slimmer one. I've
basically customized away the behaviour I dislike. Either .emacs
(ie. /home/sb/.emacs or /root/.emacs) would have worked for me if they
could have run without failing.

(PS sorry for coming late to the discussion I originated. My incoming email
broke as a result of an openssl change in a debian version upgrade and I
haven't received email since July 11 until today, and didn't receive the
initial debbug response. And sorry if I came through as rude on emacs-help)